diff -urN coreutils-5.97.old/debian/changelog coreutils-5.97/debian/changelog
--- coreutils-5.97.old/debian/changelog	2007-08-18 16:54:11.000000000 -0400
+++ coreutils-5.97/debian/changelog	2007-08-18 16:41:21.000000000 -0400
@@ -1,3 +1,13 @@
+coreutils (5.97-5.4) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * New patch 64_coreutils-futimens: rename futimens to cu_futimens,
+    since glibc now defines an futimens function with a different
+    prototype.  Closes: #433394.
+  * Urgency medium for the RC bug fix.
+
+ -- Daniel Schepler <schepler@debian.org>  Sat, 18 Aug 2007 16:41:21 -0400
+
 coreutils (5.97-5.3) unstable; urgency=high
 
   * This is a non-maintainer upload done with the maintainer's blessing,
diff -urN coreutils-5.97.old/debian/patches/64_coreutils-futimens coreutils-5.97/debian/patches/64_coreutils-futimens
--- coreutils-5.97.old/debian/patches/64_coreutils-futimens	1969-12-31 19:00:00.000000000 -0500
+++ coreutils-5.97/debian/patches/64_coreutils-futimens	2007-08-18 16:36:39.000000000 -0400
@@ -0,0 +1,51 @@
+diff -ruN coreutils-5.97-old/lib/utimens.c coreutils-5.97/lib/utimens.c
+--- coreutils-5.97-old/lib/utimens.c	2006-06-11 03:15:11.000000000 -0400
++++ coreutils-5.97/lib/utimens.c	2007-08-18 16:34:51.000000000 -0400
+@@ -75,7 +75,7 @@
+    Return 0 on success, -1 (setting errno) on failure.  */
+ 
+ int
+-futimens (int fd ATTRIBUTE_UNUSED,
++cu_futimens (int fd ATTRIBUTE_UNUSED,
+ 	  char const *file, struct timespec const timespec[2])
+ {
+   /* There's currently no interface to set file timestamps with
+@@ -168,5 +168,5 @@
+ int
+ utimens (char const *file, struct timespec const timespec[2])
+ {
+-  return futimens (-1, file, timespec);
++  return cu_futimens (-1, file, timespec);
+ }
+diff -ruN coreutils-5.97-old/lib/utimens.h coreutils-5.97/lib/utimens.h
+--- coreutils-5.97-old/lib/utimens.h	2004-11-23 15:41:51.000000000 -0500
++++ coreutils-5.97/lib/utimens.h	2007-08-18 16:34:38.000000000 -0400
+@@ -1,3 +1,3 @@
+ #include "timespec.h"
+-int futimens (int, char const *, struct timespec const [2]);
++int cu_futimens (int, char const *, struct timespec const [2]);
+ int utimens (char const *, struct timespec const [2]);
+diff -ruN coreutils-5.97-old/src/copy.c coreutils-5.97/src/copy.c
+--- coreutils-5.97-old/src/copy.c	2007-08-18 16:33:45.000000000 -0400
++++ coreutils-5.97/src/copy.c	2007-08-18 16:35:20.000000000 -0400
+@@ -429,7 +429,7 @@
+       timespec[0] = get_stat_atime (src_sb);
+       timespec[1] = get_stat_mtime (src_sb);
+ 
+-      if (futimens (dest_desc, dst_name, timespec) != 0)
++      if (cu_futimens (dest_desc, dst_name, timespec) != 0)
+ 	{
+ 	  error (0, errno, _("preserving times for %s"), quote (dst_name));
+ 	  if (x->require_preserve)
+diff -ruN coreutils-5.97-old/src/touch.c coreutils-5.97/src/touch.c
+--- coreutils-5.97-old/src/touch.c	2005-11-02 08:18:47.000000000 -0500
++++ coreutils-5.97/src/touch.c	2007-08-18 16:35:09.000000000 -0400
+@@ -182,7 +182,7 @@
+       t = timespec;
+     }
+ 
+-  ok = (futimens (fd, (fd == STDOUT_FILENO ? NULL : file), t) == 0);
++  ok = (cu_futimens (fd, (fd == STDOUT_FILENO ? NULL : file), t) == 0);
+ 
+   if (fd == STDIN_FILENO)
+     {
